jQuery(document).ready(function($) {
    // Capture click event on elements with class qal-sccls-{numeric-value}
    $('[class^="qal-sccls-"]').on('click', function() {
        // Get the numeric value from the class name
        var numericValue = $(this).attr('class').match(/qal-sccls-(\d+)/)[1];
        
        // Find the <a> tag with class clicktrk within the clicked element
        var $clickedLink = $(this).find('a.clicktrk');
        
        // If the link is found, extract product_id and send AJAX request
        if ($clickedLink.length) {
            var productId = $clickedLink.data('product-id');
            
            // AJAX request to send shortcode usage and product click information to the server
            $.ajax({
                url: QalAjax.rest_url,
                type: 'POST',
                contentType: 'application/json',
                data: JSON.stringify({
                    shortcode_usage_id: numericValue,
                    product_id: productId
                }),
             headers: {
                    'X-WP-QAL': QalAjax.security
                },

				success: function(response) {
                    console.log('Click '+ numericValue + ': ' , response);
                },
                error: function(xhr, status, error) {
                    console.error('Error recording:', error);
                }
            });
        }
    });
});
