<?php
if(!defined('ABSPATH')){
	die('Hacking Attempt!');
}

// Function to generate random user agent string
function quickaffilink_randomUserAgent() {
  $userAgents = array(
    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/88.0.4324.150 Safari/537.36",
    "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Firefox/83.0",
    "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/90.0.4430.93 Safari/537.36",
    "Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:88.0) Gecko/20100101 Firefox/88.0"
  );
  return $userAgents[array_rand($userAgents)];
}
/**
 * Fetches and extracts data from an Amazon product page.
 *
 * This function initializes a cURL session to fetch the HTML content of the provided URL.
 * It then parses the HTML content to extract relevant product data using XPath queries.
 * The extracted data includes product title, category, ASIN, rating score, number of ratings,
 * price, currency, brand, savings percentage, stock status, image URLs, and URL.
 *
 * @param string $url The URL of the Amazon product page.
 * @return array Associative array containing the extracted product data.
 */

function quickaffilink_get_amazon_data($url){
// Initialize an empty array to store the extracted data
$data = [];

// Extract product information from the URL
$productInfofromURL = quickaffilink_extractProductInfoFromUrl($url);
$search_engine_qs = "";

// Check if the array is empty
if (empty($productInfofromURL)) {
    // echo "No product information words found in the URL.";
} else {
    $search_engine_qs = implode('+', $productInfofromURL);
}

// #error_log("search_engine_qs: " . $search_engine_qs);

######################################
// Define referrers array
$referrers = array(
    // Search Engines
    "https://www.google.com/search?q=$search_engine_qs",
    "https://search.yahoo.com/search?p=$search_engine_qs",
    "https://www.google.com/images?q=$search_engine_qs",
    "https://www.bing.com/search?q=$search_engine_qs",

    // Social Media
    "https://www.facebook.com/nytimes",  // Example news article link
    //"https://www.anothersocialmedia.com/johndoe/saved/your-target-website-article", // Example saved article link

    // Email Newsletters
    "",  // Direct Traffic (empty string)
    "",  // Direct Traffic (empty string)
);

// Choose a random referrer URL from the list
$referrer = $referrers[array_rand($referrers)];

// Prepare the request arguments
$args = array(
    'timeout' => 30,
    'headers' => array(
        'Accept' => 'text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8',
        'Referer' => $referrer,
        'User-Agent' => quickaffilink_randomUserAgent(), // Randomize User-Agent
    ),
);

// Execute the request using wp_remote_get
$response = wp_remote_get($url, $args);

// Check for errors in the response
if (is_wp_error($response)) {
    // Handle error (optional)
	echo "Failed to fetch content from the URL.";
    // echo 'Failed to retrieve data: ' . $response->get_error_message();
} else {
    // Get the body of the response
    $htmlContent = wp_remote_retrieve_body($response);
	// Below is for debogging, it will create a log file in the same folder. remove all logs files when done withe testing
	/*
	$current_time = current_time('mysql');
	$filename = str_replace([':', ' '], ['-', ''], $current_time) . '.log'; // Removes spaces
	$file_path = __DIR__ . '/' . $filename; // __DIR__ gives the current directory
	file_put_contents($file_path, $url ."\n\n\n". $htmlContent);
	*/
}


// Set random delay between requests (optional)
$randomDelay = wp_rand(1, 5); // Adjust the range according to your needs
sleep($randomDelay);


// Check if content is fetched successfully
if ($htmlContent !== false) {
    // Initialize a DOMDocument object
    $dom = new DOMDocument();

    // Suppress errors and warnings for HTML parsing
    libxml_use_internal_errors(true);

    // Load HTML content into the DOMDocument
    $dom->loadHTML($htmlContent);

    // Restore error handling
    libxml_use_internal_errors(false);

    // Initialize a DOMXPath object
    $xpath = new DOMXPath($dom);

    // Define XPath expressions
	
	$categoryXpath = "//ul[@class='a-unordered-list a-horizontal a-size-small']/li[last()]/span/a";

    $ratingScoreXpath =  "//span[@id='acrPopover']";
    $numRatingsXpath = "//span[@id='acrCustomerReviewText']";

   // $price1Xpath = "//span[@class='a-price-whole']";
    //$price2Xpath = "//span[@class='a-price-fraction']";
	$price1Xpath = "(//span[contains(@class, 'a-price-whole')])[1]";
	$price2Xpath = "(//span[contains(@class, 'a-price-fraction')])[1]";
    $priceXpath = "//span[@class='a-price']";
    
	$currencyXpath = "//span[@class='a-price-symbol']";
    $brandXpath = "//a[@id='bylineInfo']";
	// Use XPath to find the input element with the id 'ASIN'
	$inputNodes = $xpath->query('//input[@id="ASIN"]');
	// Use XPath to select all li elements within the specified div to get product overview
	$data['product_overview'] = "None";

	 // Attempt to select the <ul> element using different XPath queries
		$ulElements = $xpath->query('//div[@id="feature-bullets"]/ul | //div[@id="feature-bullets"]/h1/following-sibling::ul');
		$listItems ="";

		// Check if any <ul> element is found
		if ($ulElements->length > 0) {
			// Iterate over the selected <ul> elements
			foreach ($ulElements as $ul) {
				// Select all <li> elements within the <ul>
				$liElements = $xpath->query('.//li', $ul);
				
				// Iterate over the selected <li> elements and concatenate their text content
				foreach ($liElements as $li) {
					// Append the text content of each <li> to the listItems string
					$listItems .= '<li>' . $li->textContent . '</li>';
				}
			}
		}

	if($listItems !=""){
		// Wrap the concatenated list items in <ul> tags
		$data['product_overview'] = '<ul>' . $listItems . '</ul>';
	}    
	$stockStatusXpath = '//div[@id="availability"]/span[@class="a-size-medium a-color-success"]';

	// Define the XPath expression to select the savings percentage span
    $savingsPercentageXpath = "//span[@class='a-size-large a-color-price savingPriceOverride aok-align-center reinventPriceSavingsPercentageMargin savingsPercentage']";
	
	$lastCategory = $xpath->query($categoryXpath);
	$data['category'] = strlen($lastCategory->item(0)->textContent) > 0 ? ucwords(trim($lastCategory->item(0)->textContent)) : '';

	$data['image_url'] = "";
    // Extract the brand information using XPath

		// Step 1: Extract the title from the HTML
		if (preg_match('/<title[^>]*>(.*?)<\/title>/', $htmlContent, $matches)) {
			$title = $matches[1];
		}

		$passed_domain =  quickaffilink_get_domain($url);

		// Step 3: Remove the domain name from the title if found
		$title = str_ireplace($passed_domain, '', $title);

		// Step 4: Remove any pipe characters from the title
		$title = str_replace('|', '', $title);
		$title = str_replace(' : ', ' ', $title);
		$title = str_replace(':', '', $title);
		$title = str_ireplace($data['category'], '', $title);
		$data['title'] = $title;

	#error_log("Title: ".$data['title']);


	// Check if the input element is found
	if ($inputNodes->length > 0) {
    // Extract the value attribute of the input element
    $asin = $inputNodes->item(0)->getAttribute('value');
		$data['asin'] = $asin;
	} else {
		$data['asin'] =  "ASIN not found";
	}

    // Extract the rating score using XPath
    $ratingScoreNodeList = $xpath->query($ratingScoreXpath);
    
    // Check if the query returned any result
    if ($ratingScoreNodeList->length > 0) {
    // Get the value of the title attribute of the rating score span
        $ratingScoreText = $ratingScoreNodeList->item(0)->getAttribute('title');
    
    // Extract the rating score from the title attribute
    $matches = [];
    if (preg_match('/(\d+(\.\d+)?) out of 5 stars/', $ratingScoreText, $matches)) {
        $data['rating_score'] = floatval($matches[1]);
    } else {
        // If no rating score found, set to 0 or handle accordingly
        $data['rating_score'] = 0.0;
    }
    } else {
    // Rating score span not found
        $data['rating_score'] = null;
    }

    $numRatingsNodeList = $xpath->query($numRatingsXpath);
    $data['num_ratings'] = $numRatingsNodeList->length > 0 ? trim(str_replace('ratings', '', $numRatingsNodeList->item(0)->textContent)) : '';

    // Temporaily removed  
    

	$p1 = $xpath->query($price1Xpath); 
    $p2 = $xpath->query($price2Xpath);

	$p1Value = $p1->item(0)->textContent;

	//echo "<h1>P1 Value: $p1Value </h1>";

	$p2Value = $p2->item(0)->textContent;

	//echo "<h1>P2 Value: $p2Value </h1>";

	$p1Value = @str_replace(".", "", $p1Value);
	$p1Value = @str_replace(",", "", $p1Value);
	
	//echo "<h1>P1 Value New: $p1Value </h1>";

	if (!empty($p1Value) && !empty($p2Value)) {
		// Ensure both values are numeric
		$total = $p1Value .".". $p2Value;

     //echo "<h1>Total Value New: $total </h1>";
		// Format the result
		$data['price'] = number_format($total, 2);
	}
	
	/*

	$anotherPrice = $xpath->query($priceXpath); 
     if(!empty($anotherPrice->item(0)->textContent)){

         $data['price'] = $anotherPrice->item(0)->textContent;
     }
	*/
	
    $currencyNodeList = $xpath->query($currencyXpath);
    $data['currency'] = $currencyNodeList->length > 0 ? trim($currencyNodeList->item(0)->textContent) : '';

    $brandNodeList = $xpath->query($brandXpath);
    
    // Check if the query returned any result
    if ($brandNodeList->length > 0) {
        
        // Get the text content of the brand anchor
        $brand = trim($brandNodeList->item(0)->nodeValue);
        $data['brand'] = str_replace('Brand: ', '', $brand);
        
    } else {
        // Brand anchor not found
        $data['brand'] = 'N/A';
    }

    // Extract the savings percentage using XPath
    $savingsPercentageNodeList = $xpath->query($savingsPercentageXpath);
    
    // Check if the query returned any result
    if ($savingsPercentageNodeList->length > 0) {
        // Get the text content of the savings percentage span
        $savingsPercentage = trim($savingsPercentageNodeList->item(0)->nodeValue);
        
        // Remove the percentage sign if present
        $savingsPercentage = str_replace('%', '', $savingsPercentage);
        
        // Convert the savings percentage to a numeric value
        $savingsPercentageValue = intval($savingsPercentage);
        
        $data['saving'] = $savingsPercentageValue;
       
    } else {
        $data['saving'] = "0";
    }

    if($data['saving'] < 0){
        
        $saving_value = ($data['saving'] * -1);
        $price_value = (float) str_replace(',', '', $data['price']);

        $data['original_price'] = $price_value / (1- $saving_value/100); 
    }   
    
    // Extract the stock status using XPath
    $stockStatusNodeList = $xpath->query($stockStatusXpath);
    
    // Check if the query returned any result
    if ($stockStatusNodeList->length > 0) {
        // Get the text content of the stock status span
        $stockStatus = trim($stockStatusNodeList->item(0)->nodeValue);
             $data['stock']= $stockStatus;

    } else {
         $data['stock'] = "Stock status not found.";
    }
   
	$data['url'] = $url;

	// Define the pattern to match the data between 'colorImages': and 'colorToAsin':
	$pattern = '/\'colorImages\':\s*({.*?})\s*,\s*\'colorToAsin\':/s';

	// Perform the regex match
	if (preg_match($pattern, $htmlContent, $matches)) {
		// Extracted data is in $matches[1]
		$extractedData = $matches[1];

		$colorImagesData=  str_replace("'", '"', $extractedData);

		// Decode the JSON data
		$imagesdata = json_decode($colorImagesData, true);

		$hiResUrls = array_map(function ($item) {
			return $item['hiRes'];
		}, $imagesdata['initial']);
	   
	   $data['hi-res-images'] =   $hiResUrls;
		
	   $largeimageUrls = array_map(function ($item) {
			return $item['large'];
		}, $imagesdata['initial']);
		
		$data['large-images'] =   $largeimageUrls;
		
		if($data['image_url'] == ""){

			$data['image_url'] =  $largeimageUrls[0];
		}
	   
	   $thumbimageUrls = array_map(function ($item) {
			return $item['thumb'];
		}, $imagesdata['initial']);
		
		$data['thumb-images'] =   $thumbimageUrls;


		#error_log(var_export($data, true)); // Using var_export()

		} else {
			// No match found
			if (defined('WP_DEBUG') && WP_DEBUG){
				echo "<br /><h4>Could not extract data, Please try again!</h4> Do not save until you can see the product image and the data is fetched.";
				?>
				<?php
			}
		}

		 return $data;

		} else {
			if (defined('WP_DEBUG') && WP_DEBUG){
				echo "Failed to fetch content from the URL.";
			}
		}    
			
    
}    
   
