<?php
if(!defined('ABSPATH')){
	die('Hacking Attempt!');
}
/**
 * Renders the about page for the QuickAffiLink plugin.
 */
function quickaffilink_render_about_plugin_page() {
    ?>
    <div class="wrap">
        <h1>About QuickAffiLink</h1>
        <br /><br />
    <div class="quickaffilink-about-wrap about-wrap">
        <h2 class="quickaffilink-about-heading">Amazon Affiliate - Products Display Simplified</h2>
        <p>QuickAffiLink is a powerful plugin designed to make affiliate marketing simplified for the bloggers and wordpress based website owners. Here's how it can benefit you:</p>
        <ol class="quickaffilink-about-list">
            <li class="quickaffilink-about-list-item"><strong>Effortless Affiliate Product Display:</strong> Showcase Amazon affiliate products on your WordPress site without WooCommerce, boosting revenue potential.</li>
            <li class="quickaffilink-about-list-item"><strong>Simple Configuration:</strong> Easily configure Amazon affiliate tags and default settings from a user-friendly settings page within WordPress.</li>
            <li class="quickaffilink-about-list-item"><strong>Customizable Shortcodes:</strong> Display affiliate products anywhere on your site using customizable shortcodes, offering full control over product display.</li>
            <li class="quickaffilink-about-list-item"><strong>Flexible Product Management:</strong> Manage affiliate products intuitively, ensuring your site features relevant and profitable offerings.</li>
            <li class="quickaffilink-about-list-item"><strong>No Data Dumping:</strong> Easy on your wordpress storage as this plugin do not download the product images on your wordpress storage rather only stores the references.</li>
		    <li class="quickaffilink-about-list-item"><strong>Enhanced User Experience:</strong> Seamlessly integrate affiliate products into your content, enhancing user experience and engagement.</li>
		    <li class="quickaffilink-about-list-item"><strong>Usage Statistics:</strong> Generate useful statistics from top product categories to recent shortcode displays, it allows you to gain valuable information to optimize your campaigns and track performance.</li>
	
		</ol>

        <h2 class="quickaffilink-about-heading">How Shortcodes Work</h2>
        <p>Shortcodes are simple codes enclosed in square brackets that you can place anywhere in your WordPress content to display specific content or functionality. Here's how you can use shortcodes with QuickAffiLink:</p>
        <ol class="quickaffilink-about-list">
            <li class="quickaffilink-about-list-item"><strong>Basic Usage:</strong> Insert the shortcode <code>[quickaffilink id="123"]</code> into your content to display a product, replacing "123" with the unique product ID.</li>
            <li class="quickaffilink-about-list-item"><strong>Custom Features:</strong> Customize the displayed product by adding optional attributes to the shortcode, such as <code>[quickaffilink category="Beauty" multiple="true"]</code>, <code>[quickaffilink ids="1,2,3" multiple="true"]</code>, <code>[quickaffilink id="123" size="small"]</code>, <code>[quickaffilink id="123" size="medium"]</code>, <code>[quickaffilink id="123" size="large"]</code>, or <code>[quickaffilink asin="product_asin" size="small"] etc..</code>.</li>
            <li class="quickaffilink-about-list-item"><strong>Extensive usage Examples:</strong> We have got you covered, we have provided the usage examples using your own fetched products data. Just visit the <a href="admin.php?page=quickaffilink-sample-usage">link</a> for usage examples. Click on the sample short code and it is ready to be used. </li>
        </ol>

        <p>By leveraging shortcodes with QuickAffiLink, you can effortlessly integrate affiliate products into your WordPress content, providing valuable recommendations to your audience while maximizing your affiliate revenue potential.</p>
  <a name="getting_started">&nbsp;</a>
   <h2 class="quickaffilink-about-heading">Getting started</h2>
 <div class="quickaffilink-container">
   
    <div class="quickaffilink-step">
      <div class="quickaffilink-step-number">Step 1</div>
      <div class="quickaffilink-step-description">Add and save your Amazon Affiliate / Store ID, also choose one store as Default in the <a href="admin.php?page=quickaffilink-configuration">configurations</a>.</div>
    </div>
    <div class="quickaffilink-step">
      <div class="quickaffilink-step-number">Step 2</div>
      <div class="quickaffilink-step-description">Start by adding products that you want to display on your website. It cen be done by visiting <a href="admin.php?page=quickaffilink-add-product">add product</a> screen. (also locate <strong>Product ID</strong> on the list products screen)</div>
    </div>
    <div class="quickaffilink-step">
      <div class="quickaffilink-step-number">Step 3</div>
      <div class="quickaffilink-step-description">Find the right Short Code, see usage examples <a href="admin.php?page=quickaffilink-sample-usage">here</a>. Click to copy the shortcode and paste it at the appropriate location in your posts or pages or sidebar where you want to display as required.</div>
    </div>
  </div>
	
	<p>Need support with the plugin, open a support ticket <a href="https://siliconways.net/support/open.php" target="_blank">here</a>.</p>
	
	</div>
</div>

    <?php
}
