<?php
 if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
?>
<div title="<?php echo esc_attr( $product->title ); ?>" class="qal-product-box qal-product-box-480x320">
   <a href="<?php echo esc_url( $prepared_affiliate_link ); ?>" target="_blank" data-product-id="<?php echo esc_attr( $product->id ); ?>" class="qal-product-link qal-product-link-480x320 clicktrk">
        <div class="qal-product-image qal-product-image-480x320">
            <?php if (!empty($product->large_images_1)) : ?>
			    <img src="<?php echo esc_url( $product->large_images_1 ); ?>" alt="<?php echo esc_attr( $product->title ); ?>">
            <?php elseif (!empty($product->large_images_2)) : ?>
		        <img src="<?php echo esc_url( $product->large_images_2 ); ?>" alt="<?php echo esc_attr( $product->title ); ?>">
            <?php else: ?>
                <p>No image available</p>
            <?php endif; ?>
        </div>
        <div class="qal-product-details qal-product-details-480x320">
        <h3 class="qal-product-title qal-product-title-480x320" title="<?php echo esc_attr( $product->title ); ?>"><?php echo esc_html( quickaffilink_trim_title( $product->title ) ); ?></h3>
            <div class="qal-product-info qal-product-info-480x320">
                <div class="qal-product-price qal-product-price-480x320">
				<?php if($learnmore == "false"){?>
				<?php echo esc_html( quickaffilink_format_currency_display( esc_attr( $product->currency ), esc_attr( $product->price ) ) ); ?>
				<?php } ?>
				</div>
                <?php if($product->num_ratings > 0) : ?>                
                    <div class="qal-product-rating qal-product-rating-480x320" title="<?php echo esc_attr( $product->rating_score ); ?> out of 5">
                        <?php quickaffilink_display_rating_stars_amazon($product->rating_score); ?>
		              <span class="qal-rating-text qal-rating-text-480x320" title="<?php echo esc_attr( 'Based on ' . $product->num_ratings . ' product reviews' ); ?>"><?php echo esc_html( $product->num_ratings ) . ' ratings'; ?></span>
                    </div>
                <?php endif; ?>
		        <button class="qal-buy-now-btn qal-buy-now-btn-480x320 clicktrk" data-product-id="<?php echo esc_attr( $product->id ); ?>"><?php echo esc_html( $learnmore === "true" ? 'Learn More' : 'Buy Now' ); ?></button>

            </div>
        </div>
    </a>
</div>
