<?php
 if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
?>
<div title="<?php echo esc_attr( stripslashes( $product->title ) ); ?>" class="qal-product-box qal-product-box-300x250">
<a href="<?php echo esc_url( $prepared_affiliate_link ); ?>" target="_blank" data-product-id="<?php echo esc_attr( $product->id ); ?>" class="qal-product-link clicktrk">
        <div class="qal-product-image qal-product-image-300x250">
            <?php if (!empty($product->large_images_1)) : ?>
				<img src="<?php echo esc_url( $product->large_images_1 ); ?>" alt="<?php echo esc_attr( stripslashes( $product->title ) ); ?>">
            <?php elseif (!empty($product->large_images_2)) : ?>
               <img src="<?php echo esc_url( $product->large_images_2 ); ?>" alt="<?php echo esc_attr( stripslashes( $product->title ) ); ?>">
            <?php else: ?>
                <p>No image available</p>
            <?php endif; ?>
        </div>
		<div class="qal-product-details qal-product-details-300x250">
		 <h3 class="qal-product-title qal-product-title-300x250" title="<?php echo esc_attr( stripslashes( $product->title ) ); ?>"><?php echo esc_html( stripslashes( quickaffilink_trim_title( $product->title ) ) ); ?></h3>
            <div class="qal-product-info qal-product-info-300x250">
                <div class="qal-product-price qal-product-price-300x250">
				<?php
				if($learnmore == "false"){?>
				<?php echo esc_html( quickaffilink_format_currency_display( esc_attr( $product->currency ), $product->price ) ); ?>
				<?php } ?></div>
                <?php if($product->num_ratings > 0) : ?>
                   <div class="qal-product-rating qal-product-rating-300x250" title="<?php echo esc_attr($product->rating_score); ?> out of 5">
                        <?php quickaffilink_display_rating_stars_amazon($product->rating_score); ?>
                    <span class="qal-rating-text qal-rating-text-300x250" title="<?php echo esc_attr('Based on ' . $product->num_ratings . ' product reviews'); ?>"><?php echo esc_html($product->num_ratings . ' ratings'); ?></span>
                    </div>
                <?php endif; ?>
				<button class="qal-buy-now-btn qal-buy-now-btn-300x250 clicktrk" data-product-id="<?php echo esc_attr($product->id); ?>"><?php echo $learnmore == "true" ? 'Learn More' : 'Buy Now'; ?></button>
            </div>
        </div>
    </a>
</div>
