<?php
/**
 * Plugin Name: QuickAffiLink
 * Plugin URI: https://www.siliconways.net/
 * Description: Easily display Amazon affiliate products on your WordPress site without the need of WooCommerce. Perfect way to monetize your websites and blogs with absolute ease.
 * Version: 1.1.0
 * Requires at least: 5.0
 * Requires PHP: 7.0
 * Author: Silicon Ways Team
 * Author URI: https://www.siliconways.net
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: quickaffilink
 * Domain Path: /languages
 */

// Define plugin constants
 if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
define( 'QUICKAFFILINK_VERSION', '1.1.0' );
define( 'QUICKAFFILINK_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

// Include functions file
require_once plugin_dir_path( __FILE__ ) . 'functions.php';

// Plugin Activation Hook
register_activation_hook( __FILE__, 'quickaffilink_activate_plugin' );
register_deactivation_hook( __FILE__, 'quickaffilink_deactivate_plugin' );

// Add Menu Items
add_action( 'admin_menu', 'quickaffilink_add_menu_items' );

// Create custom table
add_action( 'plugins_loaded', 'quickaffilink_create_product_table' );
add_action( 'plugins_loaded', 'quickaffilink_create_shortcode_usage_tables' );


// Include functions file
require_once plugin_dir_path( __FILE__ ) . 'functions.php';

// Include files from the includes directory
require_once plugin_dir_path( __FILE__ ) . '/includes/custom_functions.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/amazon_functions.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/shortcodes_handler.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/page_about.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/page_sample_usage.php';
require_once plugin_dir_path( __FILE__ ) . '/includes/page_dashboard.php';

